from collections import Counter
import pandas as pd 

basecsv = "/Users/normrasmussen/Documents/Northpass/Scripts/G2_Unenroll/skuid_05lp.csv"

def mainFunc(basecsv):
    readData = pd.read_csv(
            basecsv,
            index_col=False,
            )
    parsedData = readData.drop_duplicates(subset='Course_Name', keep="first")
    if parsedData.loc[readData['Course Name'].isin([
                    'Get Started with Models - Level 1',
                    'Configure Model Fields - Level 1',
                    'Configure Model Conditions - Level 1',
                    'Configure Model Actions - Level 1',
                    'Manage Models - Level 1',
                    'Intro to UI Only Fields - Level 1'])]:
        extractedList = readData.loc[readData['Email'].tolist()
        fourOccs = Counter(extractedList)
        finalNames = []
        for name, occurences in fourOccs.items():
            if occurences == 6:
                finalNames.append(name)


if __name__ == "__main__":
    mainFunc(basecsv)
